/*Se pone CREATE solamente porque algunos clientes puede ser que lo tengan distinto por el tipo de Formato de la credencial*/
CREATE FUNCTION [dbo].[CF_Credencial_Nro_Format_Itelek](@pCredencial_Nro VARCHAR(30))
RETURNS BIGINT
AS

BEGIN
DECLARE @Crendencial_Nro_Format_Intelek	BIGINT
DECLARE @Credencial_Nro_Hex_Invert		VARCHAR(30)

SET @Crendencial_Nro_Format_Intelek = 0
SET @Credencial_Nro_Hex_Invert = '0x' + SUBSTRING(@pCredencial_Nro, 7, 2) + SUBSTRING(@pCredencial_Nro, 5, 2) + SUBSTRING(@pCredencial_Nro, 3, 2) + SUBSTRING(@pCredencial_Nro, 1, 2)

SET @Crendencial_Nro_Format_Intelek = CONVERT(BIGINT, CONVERT(VARBINARY, @Credencial_Nro_Hex_Invert, 1))

RETURN ISNULL(@Crendencial_Nro_Format_Intelek, 0)
END